/*
 * Copyright 2020 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.compose.material.icons.filled

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.materialIcon
import androidx.compose.material.icons.materialPath
import androidx.compose.ui.graphics.vector.VectorAsset

val Icons.Filled.GroupAdd: VectorAsset
    get() {
        if (_groupAdd != null) {
            return _groupAdd!!
        }
        _groupAdd = materialIcon {
            materialPath {
                moveTo(8.0f, 10.0f)
                lineTo(5.0f, 10.0f)
                lineTo(5.0f, 7.0f)
                lineTo(3.0f, 7.0f)
                verticalLineToRelative(3.0f)
                lineTo(0.0f, 10.0f)
                verticalLineToRelative(2.0f)
                horizontalLineToRelative(3.0f)
                verticalLineToRelative(3.0f)
                horizontalLineToRelative(2.0f)
                verticalLineToRelative(-3.0f)
                horizontalLineToRelative(3.0f)
                verticalLineToRelative(-2.0f)
                close()
                moveTo(18.0f, 11.0f)
                curveToRelative(1.66f, 0.0f, 2.99f, -1.34f, 2.99f, -3.0f)
                reflectiveCurveTo(19.66f, 5.0f, 18.0f, 5.0f)
                curveToRelative(-0.32f, 0.0f, -0.63f, 0.05f, -0.91f, 0.14f)
                curveToRelative(0.57f, 0.81f, 0.9f, 1.79f, 0.9f, 2.86f)
                reflectiveCurveToRelative(-0.34f, 2.04f, -0.9f, 2.86f)
                curveToRelative(0.28f, 0.09f, 0.59f, 0.14f, 0.91f, 0.14f)
                close()
                moveTo(13.0f, 11.0f)
                curveToRelative(1.66f, 0.0f, 2.99f, -1.34f, 2.99f, -3.0f)
                reflectiveCurveTo(14.66f, 5.0f, 13.0f, 5.0f)
                curveToRelative(-1.66f, 0.0f, -3.0f, 1.34f, -3.0f, 3.0f)
                reflectiveCurveToRelative(1.34f, 3.0f, 3.0f, 3.0f)
                close()
                moveTo(19.62f, 13.16f)
                curveToRelative(0.83f, 0.73f, 1.38f, 1.66f, 1.38f, 2.84f)
                verticalLineToRelative(2.0f)
                horizontalLineToRelative(3.0f)
                verticalLineToRelative(-2.0f)
                curveToRelative(0.0f, -1.54f, -2.37f, -2.49f, -4.38f, -2.84f)
                close()
                moveTo(13.0f, 13.0f)
                curveToRelative(-2.0f, 0.0f, -6.0f, 1.0f, -6.0f, 3.0f)
                verticalLineToRelative(2.0f)
                horizontalLineToRelative(12.0f)
                verticalLineToRelative(-2.0f)
                curveToRelative(0.0f, -2.0f, -4.0f, -3.0f, -6.0f, -3.0f)
                close()
            }
        }
        return _groupAdd!!
    }

private var _groupAdd: VectorAsset? = null
