/*
 * Copyright 2020 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.compose.material.icons.outlined

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.materialIcon
import androidx.compose.material.icons.materialPath
import androidx.compose.ui.graphics.vector.VectorAsset

val Icons.Outlined.QueueMusic: VectorAsset
    get() {
        if (_queueMusic != null) {
            return _queueMusic!!
        }
        _queueMusic = materialIcon {
            materialPath {
                moveTo(22.0f, 6.0f)
                horizontalLineToRelative(-5.0f)
                verticalLineToRelative(8.18f)
                curveToRelative(-0.31f, -0.11f, -0.65f, -0.18f, -1.0f, -0.18f)
                curveToRelative(-1.66f, 0.0f, -3.0f, 1.34f, -3.0f, 3.0f)
                reflectiveCurveToRelative(1.34f, 3.0f, 3.0f, 3.0f)
                reflectiveCurveToRelative(3.0f, -1.34f, 3.0f, -3.0f)
                verticalLineToRelative(-9.0f)
                horizontalLineToRelative(3.0f)
                lineTo(22.0f, 6.0f)
                lineTo(22.0f, 6.0f)
                close()
                moveTo(15.0f, 6.0f)
                horizontalLineToRelative(-12.0f)
                verticalLineToRelative(2.0f)
                horizontalLineToRelative(12.0f)
                lineTo(15.0f, 6.0f)
                lineTo(15.0f, 6.0f)
                close()
                moveTo(15.0f, 10.0f)
                horizontalLineToRelative(-12.0f)
                verticalLineToRelative(2.0f)
                horizontalLineToRelative(12.0f)
                lineTo(15.0f, 10.0f)
                lineTo(15.0f, 10.0f)
                close()
                moveTo(11.0f, 14.0f)
                horizontalLineToRelative(-8.0f)
                verticalLineToRelative(2.0f)
                horizontalLineToRelative(8.0f)
                lineTo(11.0f, 14.0f)
                lineTo(11.0f, 14.0f)
                close()
                moveTo(15.0f, 17.0f)
                curveToRelative(0.0f, -0.55f, 0.45f, -1.0f, 1.0f, -1.0f)
                curveToRelative(0.55f, 0.0f, 1.0f, 0.45f, 1.0f, 1.0f)
                reflectiveCurveToRelative(-0.45f, 1.0f, -1.0f, 1.0f)
                curveTo(15.45f, 18.0f, 15.0f, 17.55f, 15.0f, 17.0f)
                close()
            }
        }
        return _queueMusic!!
    }

private var _queueMusic: VectorAsset? = null
