/*
 * Copyright 2020 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.compose.material.icons.rounded

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.materialIcon
import androidx.compose.material.icons.materialPath
import androidx.compose.ui.graphics.vector.VectorAsset

val Icons.Rounded.MotionPhotosPause: VectorAsset
    get() {
        if (_motionPhotosPause != null) {
            return _motionPhotosPause!!
        }
        _motionPhotosPause = materialIcon {
            materialPath {
                moveTo(21.96f, 11.05f)
                curveToRelative(0.58f, 6.26f, -4.64f, 11.48f, -10.9f, 10.9f)
                curveToRelative(-4.43f, -0.41f, -8.12f, -3.85f, -8.9f, -8.23f)
                curveTo(1.9f, 12.3f, 1.97f, 10.94f, 2.28f, 9.68f)
                curveToRelative(0.14f, -0.58f, 0.76f, -0.9f, 1.31f, -0.7f)
                lineToRelative(0.0f, 0.0f)
                curveToRelative(0.47f, 0.17f, 0.75f, 0.67f, 0.63f, 1.16f)
                curveToRelative(-0.2f, 0.82f, -0.27f, 1.7f, -0.19f, 2.61f)
                curveToRelative(0.37f, 4.04f, 3.89f, 7.25f, 7.95f, 7.26f)
                curveToRelative(4.79f, 0.01f, 8.61f, -4.21f, 7.94f, -9.12f)
                curveToRelative(-0.51f, -3.7f, -3.66f, -6.62f, -7.39f, -6.86f)
                curveToRelative(-0.83f, -0.06f, -1.63f, 0.02f, -2.38f, 0.2f)
                curveTo(9.66f, 4.34f, 9.16f, 4.07f, 8.99f, 3.59f)
                lineToRelative(0.0f, 0.0f)
                curveToRelative(-0.2f, -0.56f, 0.12f, -1.17f, 0.69f, -1.31f)
                curveToRelative(1.79f, -0.43f, 3.75f, -0.41f, 5.78f, 0.37f)
                curveTo(19.02f, 4.0f, 21.61f, 7.27f, 21.96f, 11.05f)
                close()
                moveTo(5.5f, 4.0f)
                curveTo(4.67f, 4.0f, 4.0f, 4.67f, 4.0f, 5.5f)
                reflectiveCurveTo(4.67f, 7.0f, 5.5f, 7.0f)
                reflectiveCurveTo(7.0f, 6.33f, 7.0f, 5.5f)
                reflectiveCurveTo(6.33f, 4.0f, 5.5f, 4.0f)
                close()
                moveTo(18.0f, 12.0f)
                curveToRelative(0.0f, 3.31f, -2.69f, 6.0f, -6.0f, 6.0f)
                reflectiveCurveToRelative(-6.0f, -2.69f, -6.0f, -6.0f)
                reflectiveCurveToRelative(2.69f, -6.0f, 6.0f, -6.0f)
                reflectiveCurveTo(18.0f, 8.69f, 18.0f, 12.0f)
                close()
                moveTo(10.0f, 9.0f)
                lineTo(10.0f, 9.0f)
                curveToRelative(-0.55f, 0.0f, -1.0f, 0.45f, -1.0f, 1.0f)
                verticalLineToRelative(4.0f)
                curveToRelative(0.0f, 0.55f, 0.45f, 1.0f, 1.0f, 1.0f)
                horizontalLineToRelative(0.0f)
                curveToRelative(0.55f, 0.0f, 1.0f, -0.45f, 1.0f, -1.0f)
                verticalLineToRelative(-4.0f)
                curveTo(11.0f, 9.45f, 10.55f, 9.0f, 10.0f, 9.0f)
                close()
                moveTo(14.0f, 9.0f)
                lineTo(14.0f, 9.0f)
                curveToRelative(-0.55f, 0.0f, -1.0f, 0.45f, -1.0f, 1.0f)
                verticalLineToRelative(4.0f)
                curveToRelative(0.0f, 0.55f, 0.45f, 1.0f, 1.0f, 1.0f)
                horizontalLineToRelative(0.0f)
                curveToRelative(0.55f, 0.0f, 1.0f, -0.45f, 1.0f, -1.0f)
                verticalLineToRelative(-4.0f)
                curveTo(15.0f, 9.45f, 14.55f, 9.0f, 14.0f, 9.0f)
                close()
            }
        }
        return _motionPhotosPause!!
    }

private var _motionPhotosPause: VectorAsset? = null
