/*
 * Copyright 2020 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.compose.material.icons.sharp

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.materialIcon
import androidx.compose.material.icons.materialPath
import androidx.compose.ui.graphics.vector.VectorAsset

val Icons.Sharp.ElectricalServices: VectorAsset
    get() {
        if (_electricalServices != null) {
            return _electricalServices!!
        }
        _electricalServices = materialIcon {
            materialPath {
                moveTo(18.0f, 13.0f)
                horizontalLineToRelative(3.0f)
                verticalLineToRelative(2.0f)
                horizontalLineToRelative(-3.0f)
                close()
            }
            materialPath {
                moveTo(12.0f, 12.0f)
                lineToRelative(0.0f, 2.0f)
                lineToRelative(-2.0f, 0.0f)
                lineToRelative(0.0f, 4.0f)
                lineToRelative(2.0f, 0.0f)
                lineToRelative(0.0f, 2.0f)
                lineToRelative(5.0f, 0.0f)
                lineToRelative(0.0f, -8.0f)
                close()
            }
            materialPath {
                moveTo(5.0f, 11.0f)
                lineToRelative(7.0f, 0.0f)
                lineToRelative(0.0f, -7.0f)
                lineToRelative(-8.0f, 0.0f)
                lineToRelative(0.0f, 2.0f)
                lineToRelative(6.0f, 0.0f)
                lineToRelative(0.0f, 3.0f)
                lineToRelative(-7.0f, 0.0f)
                lineToRelative(0.0f, 8.0f)
                lineToRelative(6.0f, 0.0f)
                lineToRelative(0.0f, -2.0f)
                lineToRelative(-4.0f, 0.0f)
                close()
            }
            materialPath {
                moveTo(18.0f, 17.0f)
                horizontalLineToRelative(3.0f)
                verticalLineToRelative(2.0f)
                horizontalLineToRelative(-3.0f)
                close()
            }
        }
        return _electricalServices!!
    }

private var _electricalServices: VectorAsset? = null
