/*
 * Copyright 2020 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.compose.material.icons.sharp

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.materialIcon
import androidx.compose.material.icons.materialPath
import androidx.compose.ui.graphics.vector.VectorAsset

val Icons.Sharp.FiberNew: VectorAsset
    get() {
        if (_fiberNew != null) {
            return _fiberNew!!
        }
        _fiberNew = materialIcon {
            materialPath {
                moveTo(22.0f, 4.0f)
                lineTo(2.0f, 4.0f)
                verticalLineToRelative(16.0f)
                horizontalLineToRelative(20.0f)
                lineTo(22.0f, 4.0f)
                close()
                moveTo(8.5f, 15.0f)
                lineTo(7.3f, 15.0f)
                lineToRelative(-2.55f, -3.5f)
                lineTo(4.75f, 15.0f)
                lineTo(3.5f, 15.0f)
                lineTo(3.5f, 9.0f)
                horizontalLineToRelative(1.25f)
                lineToRelative(2.5f, 3.5f)
                lineTo(7.25f, 9.0f)
                lineTo(8.5f, 9.0f)
                verticalLineToRelative(6.0f)
                close()
                moveTo(13.5f, 10.26f)
                lineTo(11.0f, 10.26f)
                verticalLineToRelative(1.12f)
                horizontalLineToRelative(2.5f)
                verticalLineToRelative(1.26f)
                lineTo(11.0f, 12.64f)
                verticalLineToRelative(1.11f)
                horizontalLineToRelative(2.5f)
                lineTo(13.5f, 15.0f)
                horizontalLineToRelative(-4.0f)
                lineTo(9.5f, 9.0f)
                horizontalLineToRelative(4.0f)
                verticalLineToRelative(1.26f)
                close()
                moveTo(20.5f, 15.0f)
                horizontalLineToRelative(-6.0f)
                lineTo(14.5f, 9.0f)
                horizontalLineToRelative(1.25f)
                verticalLineToRelative(4.51f)
                horizontalLineToRelative(1.13f)
                lineTo(16.88f, 9.99f)
                horizontalLineToRelative(1.25f)
                verticalLineToRelative(3.51f)
                horizontalLineToRelative(1.12f)
                lineTo(19.25f, 9.0f)
                horizontalLineToRelative(1.25f)
                verticalLineToRelative(6.0f)
                close()
            }
        }
        return _fiberNew!!
    }

private var _fiberNew: VectorAsset? = null
