/*
 * Copyright 2020 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.compose.material.icons.sharp

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.materialIcon
import androidx.compose.material.icons.materialPath
import androidx.compose.ui.graphics.vector.VectorAsset

val Icons.Sharp.MarkChatUnread: VectorAsset
    get() {
        if (_markChatUnread != null) {
            return _markChatUnread!!
        }
        _markChatUnread = materialIcon {
            materialPath {
                moveTo(22.0f, 6.98f)
                verticalLineTo(18.0f)
                horizontalLineTo(6.0f)
                lineToRelative(-4.0f, 4.0f)
                verticalLineTo(2.0f)
                horizontalLineToRelative(12.1f)
                curveTo(14.04f, 2.32f, 14.0f, 2.66f, 14.0f, 3.0f)
                curveToRelative(0.0f, 2.76f, 2.24f, 5.0f, 5.0f, 5.0f)
                curveTo(20.13f, 8.0f, 21.16f, 7.61f, 22.0f, 6.98f)
                close()
                moveTo(16.0f, 3.0f)
                curveToRelative(0.0f, 1.66f, 1.34f, 3.0f, 3.0f, 3.0f)
                reflectiveCurveToRelative(3.0f, -1.34f, 3.0f, -3.0f)
                reflectiveCurveToRelative(-1.34f, -3.0f, -3.0f, -3.0f)
                reflectiveCurveTo(16.0f, 1.34f, 16.0f, 3.0f)
                close()
            }
        }
        return _markChatUnread!!
    }

private var _markChatUnread: VectorAsset? = null
