/*
 * Copyright 2020 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.compose.material.icons.sharp

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.materialIcon
import androidx.compose.material.icons.materialPath
import androidx.compose.ui.graphics.vector.VectorAsset

val Icons.Sharp.Upgrade: VectorAsset
    get() {
        if (_upgrade != null) {
            return _upgrade!!
        }
        _upgrade = materialIcon {
            materialPath {
                moveTo(16.0f, 18.0f)
                verticalLineToRelative(2.0f)
                horizontalLineTo(8.0f)
                verticalLineToRelative(-2.0f)
                horizontalLineTo(16.0f)
                close()
                moveTo(11.0f, 7.99f)
                verticalLineTo(16.0f)
                horizontalLineToRelative(2.0f)
                verticalLineTo(7.99f)
                horizontalLineToRelative(3.0f)
                lineTo(12.0f, 4.0f)
                lineTo(8.0f, 7.99f)
                horizontalLineTo(11.0f)
                close()
            }
        }
        return _upgrade!!
    }

private var _upgrade: VectorAsset? = null
