/*
 * Copyright 2020 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.compose.material.icons.twotone

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.materialIcon
import androidx.compose.material.icons.materialPath
import androidx.compose.ui.graphics.vector.VectorAsset

val Icons.TwoTone.ViewModule: VectorAsset
    get() {
        if (_viewModule != null) {
            return _viewModule!!
        }
        _viewModule = materialIcon {
            materialPath(fillAlpha = 0.3f, strokeAlpha = 0.3f) {
                moveTo(11.0f, 12.5f)
                horizontalLineToRelative(3.0f)
                lineTo(14.0f, 16.0f)
                horizontalLineToRelative(-3.0f)
                close()
                moveTo(11.0f, 7.0f)
                horizontalLineToRelative(3.0f)
                verticalLineToRelative(3.5f)
                horizontalLineToRelative(-3.0f)
                close()
                moveTo(6.0f, 12.5f)
                horizontalLineToRelative(3.0f)
                lineTo(9.0f, 16.0f)
                lineTo(6.0f, 16.0f)
                close()
                moveTo(6.0f, 7.0f)
                horizontalLineToRelative(3.0f)
                verticalLineToRelative(3.5f)
                lineTo(6.0f, 10.5f)
                close()
                moveTo(16.0f, 7.0f)
                horizontalLineToRelative(3.0f)
                verticalLineToRelative(3.5f)
                horizontalLineToRelative(-3.0f)
                close()
                moveTo(16.0f, 12.5f)
                horizontalLineToRelative(3.0f)
                lineTo(19.0f, 16.0f)
                horizontalLineToRelative(-3.0f)
                close()
            }
            materialPath {
                moveTo(4.0f, 5.0f)
                verticalLineToRelative(13.0f)
                horizontalLineToRelative(17.0f)
                lineTo(21.0f, 5.0f)
                lineTo(4.0f, 5.0f)
                close()
                moveTo(9.0f, 16.0f)
                lineTo(6.0f, 16.0f)
                verticalLineToRelative(-3.5f)
                horizontalLineToRelative(3.0f)
                lineTo(9.0f, 16.0f)
                close()
                moveTo(9.0f, 10.5f)
                lineTo(6.0f, 10.5f)
                lineTo(6.0f, 7.0f)
                horizontalLineToRelative(3.0f)
                verticalLineToRelative(3.5f)
                close()
                moveTo(14.0f, 16.0f)
                horizontalLineToRelative(-3.0f)
                verticalLineToRelative(-3.5f)
                horizontalLineToRelative(3.0f)
                lineTo(14.0f, 16.0f)
                close()
                moveTo(14.0f, 10.5f)
                horizontalLineToRelative(-3.0f)
                lineTo(11.0f, 7.0f)
                horizontalLineToRelative(3.0f)
                verticalLineToRelative(3.5f)
                close()
                moveTo(19.0f, 16.0f)
                horizontalLineToRelative(-3.0f)
                verticalLineToRelative(-3.5f)
                horizontalLineToRelative(3.0f)
                lineTo(19.0f, 16.0f)
                close()
                moveTo(19.0f, 10.5f)
                horizontalLineToRelative(-3.0f)
                lineTo(16.0f, 7.0f)
                horizontalLineToRelative(3.0f)
                verticalLineToRelative(3.5f)
                close()
            }
        }
        return _viewModule!!
    }

private var _viewModule: VectorAsset? = null
